Greasy Fork is available in English.

Twitter Show Sensitive Content

No more extra click to show stupid tweets!

作者
rigid_function
日安装量
0
总安装量
5,557
评分
5 1 1
版本
0.3.6
创建于
2021-12-27
更新于
2022-12-27
许可证
GPL
适用于

Not working with the new Account Required elements! (No API response without Account)

Is there a Workaround? Yes. You can use Nitter instances which server is outside of the affected restricted regions (eg. Netherlands) but, for the rest of the regions, it's in the same boat as the average non logged user :(


Normal "Click to see" elements with buttons are still working

Removes the annoying "The following media includes potentially sensitive content." warning on Twitter

(Also known as "Twitter Show Hidden Content")

Note: I tried to make it as reliable as possible. No guarantee this will always work


Firefox: Please, before saying "it doesn't work". (this doesn't apply to Chromium)

Verify if your user script manager is executing on the page. Twitter uses a CSP (Content Security Policy) in the header that tells your browser to prevent "insecure" inline code injections. This is bad for you because prevents extensions from working.

No Workarounds: Greasemonkey & Violentmonkey

Workarounds: Tampermonkey

Source (https://github.com/Tampermonkey/tampermonkey/issues/952#issuecomment-638373937):

  1. Switch to Tampermonkey beta branch
  2. Change security settings to allow Tampermonkey to modify CSP

Or try:

  • Disabling FastForward/Universsal Bypass(unmaintained) extension
  • Try in a new profile (about:profiles)
  • Restore Tampermonkey ?
  • (bad idea) Setting dom.caches.enabled to false
  • (dangerous) Setting security.csp.enable to false. **But that's a really bad idea!!!
  • Chromium base browser

More info:

Tampermonkey issues:

Bugzilla issue trackers: